Outlet Login Status

Merchant 2FA is required for a day for onboarded merchant in the entire AePS Journey. This API will help to identify whether the Merchant has done the 2FA or not.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code - 1 (Fixed)MY
X-Ipay-Client-IdStringUnique Client IDMY
X-Ipay-Client-SecretStringUnique secret keyMY
X-Ipay-Outlet-IdStringMerchant unique IDMY
X-Ipay-Endpoint-IpStringEnd Customer IP AddressMN
NameTypeMandatory (M) , Optional (O)Description
typeStringOptionalIt will be CashDeposit (To check outlet status for Cash Deposit)

Sample Request

curl --location --request POST 'https://api.instantpay.in/fi/aeps/outletLoginStatus' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endpointIP}}' \
--header 'X-Ipay-Outlet-Id: {{outletID}}'
--data ' {
    "type" :"CashDeposit"
    }
POST /fi/aeps/outletLoginStatus HTTP/1.1
Host: api.instantpay.in
Accept: application/json
Content-Type: application/json
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endpointIP}}
X-Ipay-Outlet-Id: {{outletId}}
"Body": {
    "type" :"CashDeposit"
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus Message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive

Sample Response

{
  "statuscode": "TXN",
  "actcode": "LOGGEDIN",
  "status": "Transaction Successful",
  "data": {
        "isFaceAuthAvailable": false,
        "faceAuthEnabledServices": {
            "merchantLoginFaceAuth": true,
            "miniStatementFaceAuth": true,
            "balanceInquiryFaceAuth": true,
            "cashWithdrawalFaceAuth": false,
            "cashDepositFaceAuth": true
        },
        "isIrisAuthAvailable": true,
        "aadhaarLastFour": "4331",
        "isTxnBioLoginRequired": false,
        "pidOptionFaceWadh": null
    },
  "timestamp": "2026-01-28 14:33:45",
  "ipay_uuid": "h000a0f18071-e97b-4cdd-807c-c703c559440a-n1B1MrRhIWP9",
  "orderid": null,
  "environment": "LIVE",
  "internalCode": null
}
📘

Note :

1- Before starting AePS transactions, make sure to register the outlet.

2- To register the outlet for 2FA the merchant must check the status through Outlet Login status API.

3- If actcode is LOGINREQUIRED then proceed with Outlet Login Call and registered the merchant before initiating AePS transactions.

4- If actcode is LOGGEDIN, the outlet has been successfully registered and can now initiate transactions

5- If you are encountering error code OUI with the message "The X-Ipay-Outlet-Id header must have a valid outletId," even though the outlet is registered on your end, please re-onboard the outlet using the Merchant Onboarding API. This issue typically arises when the outlet has not processed any transactions in the last 6 months.

6- If isFaceAuthAvailable is true then the user can initiate the Outlet Login and Trnasaction using FACE Authentication.

7- For FACE Auth WADH value in PID Options will be empty.

8- For IRIS Auth WADH value in PID Options will be empty.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json